View Issue Details

IDProjectCategoryView StatusLast Update
0003385GNUnetATS servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToMatthias Wachs 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003385: ATS performance API fails to signal monitors if ATS service dies/restarts
DescriptionIf the connection with the ATS service is interrupted (protocol error, peer stopped, ATS crashed), the ATS API does not signal the clients that are monitoring ATS behavior. As a result, clients like gnunet-peerinfo-gtk cannot reset their state and will keep showing that ATS is running and has tons of open/valid/good addresses, even if the peer itself is stopped.

Having this kind of stale information being displayed can also make it hard to diagnose problems, as the state displayed by gnunet-peerinfo-gtk is thus possibly inaccurate.

We should extend the API specification (possibly just by specifying a case where 'address === NULL' means disconnect/state reset), and trigger the respective callback on disconnect (see FIXME around line 598 in SVN HEAD).
The change to the ats_api_performance.c code itself is trivial, but the clients that use the API will also need to be updated to handle the new case.
TagsNo tags attached.

Activities

Matthias Wachs

2014-05-21 10:03

manager   ~0008362

callback indicates disconnect with (address==NULL)
Implemented in revision 33350

Issue History

Date Modified Username Field Change
2014-04-16 10:54 Christian Grothoff New Issue
2014-04-16 10:54 Christian Grothoff Status new => assigned
2014-04-16 10:54 Christian Grothoff Assigned To => Matthias Wachs
2014-05-21 10:03 Matthias Wachs Note Added: 0008362
2014-05-21 10:03 Matthias Wachs Status assigned => resolved
2014-05-21 10:03 Matthias Wachs Resolution open => fixed
2014-09-30 10:34 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-30 10:34 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed